Subject: Re: linux-next: manual merge of the devicetree tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Jul 2019 09:56:30 +1000

Hi all,

On Mon, 24 Jun 2019 15:51:24 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Hi all,
> 
> Today's linux-next merge of the devicetree tree got conflicts in:
> 
>   scripts/dtc/Makefile.dtc
>   scripts/dtc/libfdt/Makefile.libfdt
> 
> between commit:
> 
>   ec8f24b7faaf ("treewide: Add SPDX license identifier - Makefile/Kconfig")
> 
> from Linus' tree and commit:
> 
>   12869ecd5eef ("scripts/dtc: Update to upstream version v1.5.0-30-g702c1b6c0e73")
> 
> from the devicetree tree.
> 
> I fixed it up (I used the latter's SPDX tags as these come from an
> upstream project) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

I am still getting this conflict (the commit ids may have changed).
Just a reminder in case you think Linus may need to know.

-- 
Cheers,
Stephen Rothwell